%global api     1.0
%global major   1
%define libname %mklibname jsonrpc_glib %{api} %{major}
%define girname %mklibname jsonrpc-gir %{api}
%define devname %mklibname -d jsonrpc_glib %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           jsonrpc-glib
Version:        3.38.0
Release:        %mkrel 1
Summary:        A JSON-RPC library for GLib
Group:          System/Libraries

License:        LGPLv2+
URL:            https://git.gnome.org/browse/jsonrpc-glib/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:         jsonrpc-glib-skip-test-stress.patch

BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(vapigen)



%description
Jsonrpc-GLib is a JSON-RPC library for GLib. It includes support for
communicating as both a JSON-RPC client and server. Additionally,
supports upgrading connections to use GVariant for less runtime overhead.

%package        -n %libname
Summary:        Development files for %{name}
Group:          System/Libraries

%description    -n %libname
Jsonrpc-GLib is a JSON-RPC library for GLib. It includes support for
communicating as both a JSON-RPC client and server. Additionally,
supports upgrading connections to use GVariant for less runtime overhead.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}%{api}-devel = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%meson -D enable_gtk_doc=false
%meson_build


%install
%meson_install


%files -n %libname
%{_libdir}/libjsonrpc-glib-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Jsonrpc-%{api}.typelib

%files -n %devname
%{_datadir}/gir-1.0/Jsonrpc-%{api}.gir
%{_datadir}/vala/vapi/jsonrpc-glib-%{api}.*
%{_includedir}/jsonrpc-glib-%{api}/
%{_libdir}/libjsonrpc-glib-%{api}.so
%{_libdir}/pkgconfig/jsonrpc-glib-%{api}.pc


%changelog
* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version 3.38.0
